Loading...
Searching...
No Matches
lazy
Meta » Trait » Composition

## Typedefs

template<typename Fn , typename... Ts>
using | meta::lazy::bind_back = defer< bind_back, Fn, Ts... >
template<typename Fn , typename... Ts>
using | meta::lazy::bind_front = defer< bind_front, Fn, Ts... >
template<typename... Fns>
using | meta::lazy::compose = defer< compose, Fns... >
template<typename Fn , typename Q = quote<list>>
using | meta::lazy::curry = defer< curry, Fn, Q >
template<typename Fn >
using | meta::lazy::flip = defer< flip, Fn >
template<typename Fn , typename G >
using | meta::lazy::on = defer< on, Fn, G >
template<typename Fn >
using | meta::lazy::uncurry = defer< uncurry, Fn >

## Detailed Description

## Typedef Documentation

## bind_back

template<typename Fn , typename... Ts>

using meta::lazy::bind_back = typedef defer<bind_back, Fn, Ts...>

`#include <meta/meta.hpp>`

See also
  'meta::bind_back'

## bind_front

template<typename Fn , typename... Ts>

using meta::lazy::bind_front = typedef defer<bind_front, Fn, Ts...>

`#include <meta/meta.hpp>`

See also
  'meta::bind_front'

## compose

template<typename... Fns>

using meta::lazy::compose = typedef defer<compose, Fns...>

`#include <meta/meta.hpp>`

See also
  'meta::compose'

## curry

template<typename Fn , typename Q = quote<list>>

using meta::lazy::curry = typedef defer<curry, Fn, Q>

`#include <meta/meta.hpp>`

See also
  'meta::curry'

## flip

template<typename Fn >

using meta::lazy::flip = typedef defer<flip, Fn>

`#include <meta/meta.hpp>`

See also
  'meta::flip'

## on

template<typename Fn , typename G >

using meta::lazy::on = typedef defer<on, Fn, G>

`#include <meta/meta.hpp>`

See also
  'meta::on'

## uncurry

template<typename Fn >

using meta::lazy::uncurry = typedef defer<uncurry, Fn>

`#include <meta/meta.hpp>`

See also
  'meta::uncurry'